Custom firmware build for R7800 v. 1.0.2.31SF

  • ATTENTION! As of November 1, 2020, you are not able to reply to threads 6 months after the thread is opened if there are more than 500 posts in the thread.
    Threads will not be locked, so posts may still be edited by their authors.
    Just start a new thread on the topic to post if you get an error message when trying to reply to a thread.

Voxel

Very Senior Member
Continuation of

https://www.snbforums.com/threads/custom-firmware-build-for-r7800.36859/
https://www.snbforums.com/threads/custom-firmware-build-for-r7800-v-1-0-2-22sf.37222/
https://www.snbforums.com/threads/custom-firmware-build-for-r7800-v-1-0-2-23sf-v-1-0-2-24sf.37477/
https://www.snbforums.com/threads/custom-firmware-build-for-r7800-v-1-0-2-25sf-v-1-0-2-29sf.38032/
https://www.snbforums.com/threads/custom-firmware-build-for-r7800-v-1-0-2-30sf.38366/

New version of my custom firmware build: 1.0.2.31SF.

Changes (vs 1.0.2.30SF):
1. OpenVPN client support is added (see readme.docx for details).
2. Latest QoS DB is included into firmware.
3. ubus package is upgraded 2016-01-26->2017-02-18.
4. libubox package is upgraded 2016-02-26->2017-02-24.
5. uci package is upgraded 2016-02-02->2016-07-04.
6. jansson package is upgraded 2.4->2.10.
7. transmission package is upgraded 2.92->2.92+git.
8. sqlite3 package is upgraded 3160000->3170000.
9. flac package is upgraded 1.3.1->1.3.2.
10. libsodium package is upgraded 1.0.11->1.0.12.
11. OpenVPN is upgraded 2.4.1->2.4.2
12. dnscrypt-resolvers.csv is updated.
13. Host tools: two components are upgraded to most recent versions.

(Info from OpenVPN team: OpenVPN v2.4.0 was audited for security vulnerabilities independently by Quarkslabs (funded by OSTIF) and Cryptography Engineering (funded by Private Internet Access) between December 2016 and April 2017. The primary findings were two remote denial-of-service vulnerabilities. These have been fixed in OpenVPN 2.4.2)


The links are:

http://www.voxel-firmware.com

(thanks to vladlenas) or

https://www.mediafire.com/folder/tyj61i5uc610w/voxel-firmware

No reset is needed to upgrade from my previous versions.

Voxel.
 
Last edited:

pege63

Very Senior Member
Does this also update the GUI Language Version from the Stock FW?
Is there a way to NOT show the password in WIFI option, just show *******?
Nice work as always m8, thanks.
 
Last edited:

Voxel

Very Senior Member
The following is for Entware users.

If I remember well I'm using your special optimized version of entware 3x, not the vanilla one made by zyxmon. So even zyxmon will compile a version for ARM7 I think cannot use it unless I reinstall my entware 3x.
So I prefer to wait for you to add MariaDB to your version.
You can test it:

https://www.mediafire.com/?d3l7k29zg9l9d

These packages are for Entware-3x Cortex-A15 version 170424 (https://www.snbforums.com/threads/c...r-r7800-v-1-0-2-30sf.38366/page-2#post-320760).

Info from zyxmon:

1. These packages are not compatible with mysql. The last should be uninstalled before installation of mariadb (including bindings).
2. Better to install all of these packages (libmariadb, mariadb-server, mariadb-client, mariadb-client-extra).
3. Binding for php7 is php7-mod-mysqli_7.1.3-1_cortex-a15-3x.ipk

zyxmon is interested in testing and maybe changes in my.conf. If everything will be OK, mariadb will be included into upcoming Entware version.

Voxel.
 

ulaganath

Senior Member
Hi Voxel.

Does this version if flashing from stock does one need to reset the router and configure from the begining.

Since you have only updated all the packages. Does it have any major things to malfunction if upgrade from stock to 31 version.

So far my current stock works fine with past 1 week apx running cool without any hicups. But upgrading this without resetting is fine. I like to monitor the bandwidth as its messes my inhouse monitor.

if there is a way to re-upload the bandwidth data it would be great.

Does backing up the setting does backup traffic monitor data. Just curious where is the data store in the router. I did have pendrive attached. Cant be set the storage to external if possible or detected automatically

I thing it can be done. So that every time it is reset wont need to loose the data.



 

Voxel

Very Senior Member
Hi ulaganath,

Does this version if flashing from stock does one need to reset the router and configure from the begining.
Not obligatory. If you use stock 1.0.2.28 now, then your settings from stock firmware should be kept. I have sometime to temporary flash the stock firmware and then back my build. My settings are not spoiled.

Does backing up the setting does backup traffic monitor data. Just curious where is the data store in the router.
Most probably is is stored in nvram. So MO backup/restore setting should work.

Code:
[email protected]:~$ nvram show|grep traff
traffic_warning_left=0
default_traffic=1
traffic_block_limit=0
traffic_reset=287989730148984
trafficmeter_monthly_limit_reached=0
traffic_led=0
traffic=287989730148984
traffic_disable_wan=0
show_traffic_timereset=10
traffic_warning_limit=0
traffic_restart_day=1
traffic_block_all=0
endis_traffic=0
So just try to flash it w/o reset. I think you will get what you need.

Voxel.
 

ulaganath

Senior Member
Hi Voxel.

Thanks for answering the queries.

i will try your firmware if the real power of the router will be used it will be a good to have.

Did you had a chance to see what changed from older to newer database. As i am worried if i update your current firmware with new DB ie QOS performance optimization it might again crash.

Aren't there any change log for the DB a big jump from 2.0 and 4.o

Also i remember you mentioned that the Streamboost have some bug in stock firmware. But it was fine now for me till now cant or wont broke when idle client connecting back from old session just usual authentication and everything still working fine.

i also went to optware. Are there any optware which are similar to qnap or synology based one.

I would like to know does any of the optware gives a traffic analyser like one in merlin software.



 

ulaganath

Senior Member
strange on the below language still not changing to new one is this line normal

StringTable_NonEnglish_Ver=V1.0.0.251
 

ulaganath

Senior Member


Almost equal traffic. very IDLE. Hope after upgrading to custom stays that way
 

ulaganath

Senior Member


almost equal speed
 

ulaganath

Senior Member
Last edited:

RMerlin

Asuswrt-Merlin dev

Voxel

Very Senior Member
Hi Voxel,

Can you please let me know are these are the packages that work with entware.

its a huge list but not all needed.

http://old.entware.net/binaries/entware/Packages.html


Does any of the package support webinterface after installed.
List of packages from my last version is here:

http://ownweb.eu/Downloads/Entware/Entware-3x-Voxel/

Installer for R7800 is available:

http://ownweb.eu/Downloads/Entware/


And some from these packages have own WebGUI. E.g. the same transmission or e.g. netdata, see screenshot:

https://forum.keenetic.net/topic/1226-entware-3x-netdata-мониторим-систему-в-реальном-времени/


Voxel.
 

ulaganath

Senior Member
---------
SWAP FILE
---------
Choose swap file size (Highly Recommended)
1. 512MB
2. 1024MB
3. 2048MB (recommended for MySQL Server or PlexMediaServer)
4. Skip this step, I already have a swap file / partition
or I don't want to create one right now
Enter your choice [ 1 - 4 ] INVALID OPTION!
Press 1 to create a 512MB swap file
Press 2 to create a 1024MB swap file
Press 3 to create a 2048MB swap file (for Mysql or Plex)
Press 4 to skip swap creation (not recommended)

i got red colored error. i believe the storage inserted was ntfs and it needs swap partition.
 

ulaganath

Senior Member
i did tried installing this but throws me an error




invalid architecture.

opkg update also failed as it was pointing to openwrt link.
 

Voxel

Very Senior Member
i did tried installing this but throws me an error




invalid architecture.

opkg update also failed as it was pointing to openwrt link.
You have to read my readme.docx...

1st: you have to use ext2 or ext3 or ext4 formatted USB disk. Use for example "mkfs.ext4 -L optware /dev/sda1" command. See readme.docx for details.

2nd: you should check after initial Entware installation that you have all basic Entware packages installed. I.e. you have /opt/bin, /opt/lib etc. Entware is using /opt directory. And you should have executable /opt/bin/opkg file. And the last one should be used for Entware installation.

3rd: something was wrong with Entware installation in your case, so this "invalid architecture" was the message from firmware's opkg (/bin/opkg), but you have to use Entware's opkg (/opt/bon/opkg).

Voxel.
 

ulaganath

Senior Member
sorry i didnt catch up your instructions.

I am stuck. I did formatted the drive to ext3 via pc but forgot to rename .

how do i rename to optware so that it can recogonize for install

the below command failed. but the opt list shows something

 

Latest threads

Sign Up For SNBForums Daily Digest

Get an update of what's new every day delivered to your mailbox. Sign up here!
Top